interfaces Library: KTextEditor::BlockSelectionInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::BlockSelectionInterface Class Reference

An interface for the Document class which allows the selection method to be changed between selecting rectangular blocks of text and normal mode (all text between the start cursor and the current cursor). More...

`#include <blockselectioninterface.h>`

List of all members.

## Public Member Functions
unsigned int | blockSelectionInterfaceNumber () const
virtual bool | blockSelectionMode ()=0
virtual bool | setBlockSelectionMode (bool on)=0
virtual bool | toggleBlockSelectionMode ()=0
## Protected Member Functions
void | setBlockSelectionInterfaceDCOPSuffix (const QCString &suffix)
## Friends
class | PrivateBlockSelectionInterface

## Detailed Description

An interface for the Document class which allows the selection method to be changed between selecting rectangular blocks of text and normal mode (all text between the start cursor and the current cursor).

Definition at line 34 of file blockselectioninterface.h.

## Member Function Documentation

virtual bool KTextEditor::BlockSelectionInterface::blockSelectionMode | ( |  | ) | `[pure virtual]`

| Returns the status of the selection mode - true indicates block selection mode is on. If this is true, selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works on rectangular blocks of text rather than normal. (copy too, but thats clear I hope ;)

virtual bool KTextEditor::BlockSelectionInterface::setBlockSelectionMode | ( | bool | on | ) | `[pure virtual]`

| Set block selection mode to state "on".

virtual bool KTextEditor::BlockSelectionInterface::toggleBlockSelectionMode | ( |  | ) | `[pure virtual]`

| toggle block seletion mode

The documentation for this class was generated from the following files:

- blockselectioninterface.h
- blockselectioninterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003